from setuptools import setup, find_packages
import codecs
import os

here = os.path.abspath(os.path.dirname(__file__))

with codecs.open(os.path.join(here, "README.md"), encoding="utf-8") as fh:
    long_description = "\n" + fh.read()

VERSION = '0.0.2'
DESCRIPTION = 'Utility to help migration database, common use for docker containers'
LONG_DESCRIPTION = 'Utility to help migration database, common use for docker containers'

# Setting up
setup(
    name="databasemigrator",
    version=VERSION,
    author="rafaelscone (Rafael Schneider)",
    author_email="<databasemigrator@impaire.com>",
    description=DESCRIPTION,
    long_description_content_type="text/markdown",
    long_description=long_description,
    packages=find_packages(),
    install_requires=['dotenv',"mysql.connector==2.2.9"],
    keywords=['database', 'mysql', 'migrator', ],
    entry_points = {
        'console_scripts': ['databasemigrator=migrator.configure:main'],
    },
    classifiers=[
        "Development Status :: 1 - Planning",
        "Intended Audience :: Developers",
        "Programming Language :: Python :: 3",
        "Operating System :: Unix",
        "Operating System :: MacOS :: MacOS X",
        "Operating System :: Microsoft :: Windows",
    ]
)
